org.kie.api.definition.process

## Interface Node

-     public interface Node

  A Node represents an activity in the process flow chart. Many different predefined nodes are supported out-of-the-box.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getId()` The id of the node.
    `Map<String,List<Connection>>` | `getIncomingConnections()` The incoming connections for this Node.
    `List<Connection>` | `getIncomingConnections(String type)` The incoming connections for this Node for the given entry-point.
    `Map<String,Object>` | `getMetaData()` Meta data associated with this Node.
    `String` | `getName()` The name of the node
    `NodeContainer` | `getNodeContainer()` The NodeContainer this Node lives in.
    `String` | `getNodeUniqueId()` the node id in the bpmn
    `Map<String,List<Connection>>` | `getOutgoingConnections()` The outgoing connections for this Node.
    `List<Connection>` | `getOutgoingConnections(String type)` The outgoing connections for this Node for the given exit-point.

- - ### Method Detail

    - #### getId

          long getId()

      The id of the node. This is unique within its NodeContainer.
      Returns:
        the id of the node

    - #### getNodeUniqueId

          String getNodeUniqueId()

      the node id in the bpmn
      Returns:

    - #### getName

          String getName()

      The name of the node
      Returns:
        the name of the node

    - #### getIncomingConnections

          Map<String,List<Connection>> getIncomingConnections()

      The incoming connections for this Node. A Node could have multiple entry-points. This map contains the list of incoming connections for each entry-point.
      Returns:
        the incoming connections

    - #### getOutgoingConnections

          Map<String,List<Connection>> getOutgoingConnections()

      The outgoing connections for this Node. A Node could have multiple exit-points. This map contains the list of outgoing connections for each exit-point.
      Returns:
        the outgoing connections

    - #### getIncomingConnections

          List<Connection> getIncomingConnections(String type)

      The incoming connections for this Node for the given entry-point.
      Returns:
        the incoming connections for the given entry point

    - #### getOutgoingConnections

          List<Connection> getOutgoingConnections(String type)

      The outgoing connections for this Node for the given exit-point.
      Returns:
        the outgoing connections for the given exit point

    - #### getNodeContainer

          NodeContainer getNodeContainer()

      The NodeContainer this Node lives in.
      Returns:
        the NodeContainer

    - #### getMetaData

          Map<String,Object> getMetaData()

      Meta data associated with this Node.

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.